<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFBParser (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFBParser (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFBParser.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/binary/XSSFBParseException.html"
               title="class in org.apache.poi.xssf.binary"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/binary/XSSFBRecordType.html"
               title="enum in org.apache.poi.xssf.binary"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/binary/XSSFBParser.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFBParser.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.binary</div>
    <h2 title="Class XSSFBParser" class="title">Class XSSFBParser</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.binary.XSSFBParser</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/binary/XSSFBCommentsTable.html"
                           title="class in org.apache.poi.xssf.binary">XSSFBCommentsTable</a>, <a
                            href="../../../../../org/apache/poi/xssf/binary/XSSFBSheetHandler.html"
                            title="class in org.apache.poi.xssf.binary">XSSFBSheetHandler</a>, <a
                            href="../../../../../org/apache/poi/xssf/binary/XSSFBStylesTable.html"
                            title="class in org.apache.poi.xssf.binary">XSSFBStylesTable</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public abstract class <span class="typeNameLabel">XSSFBParser</span>
extends java.lang.Object</pre>
                <div class="block">Experimental parser for Microsoft's ooxml xlsb format.
                    Not thread safe, obviously. Need to create a new one
                    for each thread.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>3.16-beta3</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/binary/XSSFBParser.html#XSSFBParser-java.io.InputStream-">XSSFBParser</a></span>(java.io.InputStream&nbsp;is)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/binary/XSSFBParser.html#XSSFBParser-java.io.InputStream-java.util.BitSet-">XSSFBParser</a></span>(java.io.InputStream&nbsp;is,
                                    java.util.BitSet&nbsp;bitSet)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/binary/XSSFBParser.html#handleRecord-int-byte:A-">handleRecord</a></span>(int&nbsp;recordType,
                                    byte[]&nbsp;data)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/binary/XSSFBParser.html#parse--">parse</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFBParser-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFBParser</h4>
                                <pre>public&nbsp;XSSFBParser(java.io.InputStream&nbsp;is)</pre>
                            </li>
                        </ul>
                        <a name="XSSFBParser-java.io.InputStream-java.util.BitSet-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFBParser</h4>
                                <pre>protected&nbsp;XSSFBParser(java.io.InputStream&nbsp;is,
                      java.util.BitSet&nbsp;bitSet)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>is</code> - inputStream</dd>
                                    <dd><code>bitSet</code> - call <a
                                            href="../../../../../org/apache/poi/xssf/binary/XSSFBParser.html#handleRecord-int-byte:A-"><code>handleRecord(int,
                                        byte[])</code></a> only on those records in this bitSet
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="parse--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>parse</h4>
                                <pre>public&nbsp;void&nbsp;parse()
           throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="handleRecord-int-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>handleRecord</h4>
                                <pre>public abstract&nbsp;void&nbsp;handleRecord(int&nbsp;recordType,
                                  byte[]&nbsp;data)
                           throws <a href="../../../../../org/apache/poi/xssf/binary/XSSFBParseException.html"
                                     title="class in org.apache.poi.xssf.binary">XSSFBParseException</a></pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/binary/XSSFBParseException.html"
                                            title="class in org.apache.poi.xssf.binary">XSSFBParseException</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFBParser.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/binary/XSSFBParseException.html"
               title="class in org.apache.poi.xssf.binary"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/binary/XSSFBRecordType.html"
               title="enum in org.apache.poi.xssf.binary"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/binary/XSSFBParser.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFBParser.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
